> ## Documentation Index
> Fetch the complete documentation index at: https://docs.solo.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Search businesses by name, EIN, or email.

> Search business core identities using partial or exact field matches.

Parameters
----
`network_id` : `UUID`.
    Network scope for the search.

`business_legal_name` : `str`, optional.
    Case-insensitive partial match on legal name.

`business_dba_name` : `str`, optional.
    Case-insensitive partial match on DBA name.

`business_email` : `str`, optional.
    Case-insensitive partial match on email.

`federal_ein` : `int`, optional.
    Exact match on federal EIN.

`limit` : `int`.
    Maximum number of results (1-100). Defaults to 20.

Returns
----
`results` : `list[BusinessSearchResult]`.
    Matching business core identities.

Examples
-----
```
GET /entities/business/search?network_id=...&business_legal_name=Acme&limit=10
```



## OpenAPI

````yaml GET /v1/entities/business/search
openapi: 3.1.0
info:
  title: SOLO Network API
  version: v1
servers:
  - url: https://api.solo.one
    description: Production
  - url: https://api.sandbox.solo.one
    description: Sandbox
security: []
paths:
  /v1/entities/business/search:
    get:
      tags:
        - Entities
      summary: Search business core identities by name, EIN, or email.
      description: >-
        Search business core identities using partial or exact field matches.


        Parameters

        ----

        `network_id` : `UUID`.
            Network scope for the search.

        `business_legal_name` : `str`, optional.
            Case-insensitive partial match on legal name.

        `business_dba_name` : `str`, optional.
            Case-insensitive partial match on DBA name.

        `business_email` : `str`, optional.
            Case-insensitive partial match on email.

        `federal_ein` : `int`, optional.
            Exact match on federal EIN.

        `limit` : `int`.
            Maximum number of results (1-100). Defaults to 20.

        Returns

        ----

        `results` : `list[BusinessSearchResult]`.
            Matching business core identities.

        Examples

        -----

        ```

        GET
        /entities/business/search?network_id=...&business_legal_name=Acme&limit=10

        ```
      operationId: search_businesses_v1_entities_business_search_get
      parameters:
        - name: network_id
          in: query
          required: true
          schema:
            type: string
            format: uuid
            description: Network scope for the search
            title: Network Id
          description: Network scope for the search
        - name: business_legal_name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Partial match on legal name
            title: Business Legal Name
          description: Partial match on legal name
        - name: business_dba_name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Partial match on DBA name
            title: Business Dba Name
          description: Partial match on DBA name
        - name: business_email
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Partial match on email
            title: Business Email
          description: Partial match on email
        - name: federal_ein
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: Exact match on federal EIN
            title: Federal Ein
          description: Exact match on federal EIN
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Max results
            default: 20
            title: Limit
          description: Max results
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BusinessSearchResult'
                title: Response Search Businesses V1 Entities Business Search Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    BusinessSearchResult:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        identifier:
          type: string
          title: Identifier
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
        business_legal_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Business Legal Name
        business_dba_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Business Dba Name
        business_email:
          anyOf:
            - type: string
            - type: 'null'
          title: Business Email
        business_entity_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Business Entity Type
        business_date_of_incorporation:
          anyOf:
            - type: string
            - type: 'null'
          title: Business Date Of Incorporation
        business_phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Business Phone
        business_website_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Business Website Url
        federal_ein:
          anyOf:
            - type: integer
            - type: 'null'
          title: Federal Ein
        employee_count:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Employee Count
      type: object
      required:
        - id
        - identifier
      title: BusinessSearchResult
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````